Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Interface SortKeyEvaluator

All Known Implementing Classes:
  ForEachGroup, SortExpression, XPathExpressionImpl

    public interface SortKeyEvaluator

Callback interface used to evaluate sort keys. An instance of this class is passed to the SortedIterator, and is used whenever a sort key value needs to be computed.

Method Summary
`Item` | `evaluateSortKey(int n, XPathContext context)` Evaluate the n'th sort key

Method Detail

### evaluateSortKey

    Item evaluateSortKey(int n,
                         XPathContext context)
                         throws XPathException

  Evaluate the n'th sort key

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.